import { OnInit, ElementRef } from '@angular/core';
import { DefaultEditorDirective } from '../../../lib/editor-cell-default';
import * as i0 from "@angular/core";
export declare class CheckboxEditorComponent extends DefaultEditorDirective implements OnInit {
    private element;
    constructor(element: ElementRef);
    ngOnInit(): void;
    onChange(event: any): void;
    /**
     * Make sure "this.cell.newValue" gets correct (Table instalation) translated value:
     */
    booleanToString(): {
        customTrue: any;
        customFalse: any;
    };
    /**
     * On the other hand, our Form, @ checkbox Input, only works with boolean. So... we translate back:
     */
    strToBoolean(str: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxEditorComponent, "checkbox-editor", never, {}, {}, never, never, false>;
}
